<!DOCTYPE html>
<html lang="en">
<head>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta charset="UTF-8">
    <link rel="stylesheet" type="text/css" href="css/controlStyle.css">
    <link rel="stylesheet" type="text/css" href="css/graphStyle.css">



    <title>Tutte Barycenter Draw</title>

    <script src="https://d3js.org/d3.v5.min.js"></script>
    <script src="js/GraphFileLoader.js"></script>
    <script src="js/RaphsonNewtonAlgorithm.js"></script>
    <script src="js/Renderer.js"></script>
    <script src="js/Edge.js"></script>
    <script src="js/Node.js"></script>
    <script src="js/Graph.js"></script>
    <script src="js/GraphLoader.js"></script>
    <script src="js/GraphGLMFromServerLoader.js"></script>


</head>
<body>
    <svg id="svgCanvas" onclick="ctrl.closeNav()"></svg>
    <span class="optionsbtn" onclick="ctrl.openNav()">&#9776; options</span>
    <div id="sidemenu" class="sidenav">
        <div class="sidenavContent">
            <a href="javascript:void(0)" class="closebtn" onclick="ctrl.closeNav()">&times;</a>
            <h3>Graph</h3>
            <p>
              <input type="button" id="loadFileFromClient" value="Load from client" onclick="document.getElementById('files').click();" /><br />
            <input type="file" id="files" style="display:none;" value="Choose a graph" onchange="ctrl.onFileSelect(event)">

            <select onchange="ctrl.onPredefinedGraphSelectChange(this.value)">
                <option value="" selected disabled>Load from server</option>
                <option value="./data/rect.json">rect</option>
                <option value="./data/adam.json">adam</option>
                <!--option value="./data/adam_directed.json">adam directed</option-->
                <option value="./data/random-10-20.json">random 10 20</option>
            </select>

            <p><span>Generator url:</span>
            <input type="text" value="localhost:1234/cgi-bin/graph" placeholder="name:port" id="serverLocation"><br />
            <span>Nodes: </span><input class="controllerInput" type="text" placeholder="#nodes" value="10" id="numOfNodes">
            <span>Edges: </span><input class="controllerInput" type="text" placeholder="#edges" value="20" id="numOfEdges"><br />
            <input type="button" value="Generate triconnected" onclick="ctrl.onGetFromServer()">
            <hr />
            <h3>Rendering</h3>
            <p>Animation speed:<br />
            <input type="range" min="1" max="1000" value="10" oninput="ctrl.showRenderSpeed(this.value)"
                   onchange="ctrl.showRenderSpeed(this.value)">
            <span id="renderSpeed">0.01</span>
            <p>Node size:<br/>
            <input type="range" min="0" max="1000" value="500" oninput="ctrl.showNodeSize(this.value)"
                   onchange="ctrl.showNodeSize(this.value)">
            <span id="nodeSize">5.00</span>
            <p>
            <label><input type="checkbox" onchange="ctrl.onShowNodeLabelsChange(this)">Show node labels</label><br />
            <label><input type="checkbox" onchange="ctrl.onShowEdgeLabelsChange(this)">Show edge labels</label>
            <hr />
            <p><small>Thanks to:<br> 
				&nbsp;&nbsp;Simone Ceccarelli <br>
                                &nbsp;&nbsp;Damiano Massarelli </small></p>


        </div>
    </div>

    <div id="errorDialog" class="errorDialog">
        <h1>Ops!</h1>
        <p id="errorMsg">Hi :) (if you are seeing this message something went wrong but we were too lazy to
            set an error message for it. If I were you I would open the console)</p>
        <a href="javascript:void(0)" class="closebtn" onclick="ctrl.closeErrorDialog()">&times;</a>
    </div>

    <script src="js/sidenav/sidenavControl.js"></script>
    <script>
        ctrl.openNav();
    </script>

</body>
</html>
